﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.IO;

namespace IPSToolLibrary
{
    class DiscUtils
    {
        public static string GetFreeDiscSpace(string Drive)
        {
            try
            {
                return new DriveInfo(Drive).AvailableFreeSpace.ToString();
            }
            catch
            {
                return "";
            }
        }

        public static string GetTotalDiscSpace(string Drive)
        {
            try
            {
                return new DriveInfo(Drive).TotalSize.ToString();
            }
            catch
            {
                return "";
            }
        }

        public static string GetDriveFormat(string Drive)
        {
            try
            {
                return new DriveInfo(Drive).DriveFormat;
            }
            catch
            {
                return "";
            }
        }

        public static string GetDriveType(string Drive)
        {
            try
            {
                return new DriveInfo(Drive).DriveType.ToString();
            }
            catch
            {
                return "";
            }
        }

        public static string IsDriveAvailable(string Drive)
        {
            try
            {
                return new DriveInfo(Drive).IsReady.ToString();
            }
            catch
            {
                return "false";
            }
        }

    }
}
