﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace IPSToolLibrary
{
    public partial class MessageForm : Form
    {
        private System.Windows.Forms.Timer formtimer;
        private int timer;
        private string doTimer;
        public MessageForm(string headline = "Achtung", string text="Info", int time = 60, string todo = "0")
        {
            InitializeComponent();
            label2.Text = text;
            label1.Text = headline;
            timer = time;
            doTimer = todo;
            formtimer = new System.Windows.Forms.Timer();
            formtimer.Interval = 1000;
            this.formtimer.Tick += new EventHandler(TimerVoid);
            formtimer.Enabled = true;
        }

        private void TimerVoid(object sender, EventArgs e)
        {
            if (timer>0)
            {
                this.TopMost = true;
                timer = timer-1;
                label3.Text = timer.ToString() + "s";
            }
            else
            {
                switch (doTimer)
                {
                    case "1":
                        SystemUtils.ShutdownHandle(doTimer);
                        break;
                    case "2":
                        SystemUtils.ShutdownHandle(doTimer);
                        break;
                    case "3":
                        SystemUtils.ShutdownHandle(doTimer);
                        break;
                    case "4":
                        SystemUtils.ShutdownHandle(doTimer);
                        break;
                    case "8":
                        SystemUtils.ShutdownHandle(doTimer);
                        break;
                    default:
                        break;
                    }
                this.Close();
            }
        }
        private void button1_Click(object sender, EventArgs e)
        {
            this.Close();
        }

    }
}
