﻿using System;
using System.Collections.Generic;
using System.Runtime.InteropServices;
using System.Linq;
using System.Text;
using System.Management;
using System.Windows.Forms;
using System.Security.Principal;
namespace IPSToolLibrary
{


    class SystemUtils
    {
        private static void ShutDownHandle(string flags="1")
        {
            /* http://www.dreamincode.net/forums/topic/33948-how-to-shut-down-your-computer-in-c%23/  
                  * 0 = Log off the network.
                  * 1 = Shut down the system.
                  * 2 = Perform a full reboot of the system.
                  * 4 = Force any applications to quit instead of prompting the user to close them.
                  * 8 = Shut down the system and, if possible, turn the computer off.
             //*/
            ManagementBaseObject outParameters = null;
            ManagementClass sysOS = new ManagementClass("Win32_OperatingSystem");
            sysOS.Get();
            // enables required security privilege.
            sysOS.Scope.Options.EnablePrivileges = true;
            // get our in parameters
            ManagementBaseObject inParameters = sysOS.GetMethodParameters("Win32Shutdown");
            // pass the flag of 0 = System Shutdown
            inParameters["Flags"] = flags;
            inParameters["Reserved"] = "0";
            foreach (ManagementObject manObj in sysOS.GetInstances())
            {
                outParameters = manObj.InvokeMethod("Win32Shutdown", inParameters, null);
            }
        }

        [DllImport("user32.dll")]
        private static extern bool LockWorkStation();

        public static void Lock()
        {
            LockWorkStation();
        }


        public static string GetUser()
        {
            return WindowsIdentity.GetCurrent().Name;
            //return System.Windows.Forms.SystemInformation.UserName;
        }

        public static void ShutdownHandle(string type, bool warning = false)
        {
            if(warning && type!="4"){
                //if(MessageBox.Show("Möchten sie ihre System herunterfahren/neustarten?","Warnung", System.Windows.Forms.MessageBoxButtons.YesNo)==DialogResult.Yes)
                //{
                    //ShutDownHandle(type);
                //}
                Application.Run(new MessageForm("Achtung!", "Ihr System wird heruntergefahren", 60, type));
            }else{
                ShutDownHandle(type);
            }
        }
    }
}
